使用 EAP-TLS 的 Cisco IOS XE 軟體 MACsec MKA 驗證繞過 (cisco-sa-20180926-macsec)

high Nessus Plugin ID 132104
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端裝置缺少供應商提供的安全性修補程式。

描述

根據其自我報告的版本,Cisco IOS XE 軟體受到使用 Extensible Authentication Protocol-Transport Layer Security (EAP-TLS) 功能的 MACsec Key Agreement (MKA) 中的一個因邏輯錯誤所致的驗證繞過弱點影響。若針對使用 EAP-TLS 的 MACsec MKA 設定介面,且在「access-session closed」模式下執行,則未經驗證的相鄰攻擊者可連線至受影響裝置的第 3 層介面,並經由此介面傳遞流量,來惡意利用此弱點。若惡意利用得逞,攻擊者即可繞過 802.1x 網路存取控制,並取得存取網路的權限。如需詳細資訊,請參閱隨附的 Cisco BID 和 Cisco 安全性公告。請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 Cisco 錯誤 ID CSCvh09411 中提及的相關修正版本。

另請參閱

http://www.nessus.org/u?52021652

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvh09411

Plugin 詳細資訊

嚴重性: High

ID: 132104

檔案名稱: cisco-sa-20180926-macsec.nasl

版本: 1.8

類型: local

系列: CISCO

已發布: 2019/12/18

已更新: 2021/5/6

相依性: cisco_ios_xe_version.nasl

風險資訊

CVSS 評分資料來源: CVE-2018-15372

VPR

風險因素: Medium

分數: 5.2

CVSS v2

風險因素: Medium

基本分數: 4.8

時間分數: 3.5

媒介: AV:A/AC:L/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 8.1

時間分數: 7.1

媒介: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/o:cisco:ios_xe

必要的 KB 項目: Host/Cisco/IOS-XE/Version

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/9/26

弱點發布日期: 2018/9/26

參考資訊

CVE: CVE-2018-15372

BID: 105416

CISCO-BUG-ID: CSCvh09411

CISCO-SA: cisco-sa-20180926-macsec